javax.persistence.jdbc.driver=org.h2.Driver
javax.persistence.jdbc.url=jdbc:h2\:mem\:testdb;DB_CLOSE_DELAY=-1;INIT=RUNSCRIPT FROM 'classpath:create-schema.sql'
javax.persistence.jdbc.user=sa
javax.persistence.jdbc.password=


hibernate.hbm2ddl.auto=update
hibernate.dialect=org.hibernate.dialect.H2Dialect
hibernate.show_sql=false
hibernate.format_sql=false
hibernate.connection.charSet=utf8
hibernate.cache.use_second_level_cache=false
hibernate.cache.use_query_cache=false
hibernate.cache.use_structured_entries=false
hibernate.generate_statistics=false

mosip.kernel.prid.length=14
groupId.length=12
dev.dns.url=https://dev.mosip.io
notificationUtil=
email.acknowledgement.template=Email-Acknowledgement
email.acknowledgement.subject.template=Acknowledgement-email-subject
sms.acknowledgement.template=SMS-Acknowledgement

#Pre-registration Id length
prereg_id.length=16

#Kernel Service URL for Encryption and decryption
cryptoResource.url=${dev.dns.url}/cryptomanager/v1.0

#Kernel service URL for Audit logging
audit.url=${dev.dns.url}/auditmanager/v1.0/audits

#Kernel service URL for fetching templates
resource.template.url=${dev.dns.url}/masterdata/v1.0/templates

#Kernel service URL for sending emails
emailResourse.url=${dev.dns.url}/emailnotifier/v1.0/email/send

#Kernel service URL for sending sms
smsResourse.url=${dev.dns.url}/smsnotifier/v1.0/sms/send

# UTC ISO Date Time Pattern
mosip.utc-datetime-pattern=yyyy-MM-dd'T'HH:mm:ss.SSS'Z'


preregistration.preid.regex=[0-9]+

mosip.kernel.prid.length=14

mosip.id.validation.identity.email=^[\\w-\\+]+(\\.[\\w]+)*@[\\w-]+(\\.[\\w]+)*(\\.[a-z]{2,})$

mosip.id.validation.identity.phone=^([6-9]{1})([0-9]{9})$

auth.server.validate.url=https://dev.mosip.io/authmanager/v1.0/authorize/validateToken 
mosip.supported-languages=eng,ara,fra
